module(..., package.seeall)

function runningTest(path,i)
    MODE="时间"
    HUMI=10.5
    SWITCH=true
    while true do
        sys.publish(path,"CHANGE_STATUS",i)
        sys.publish(path,"CHANGE_MODE",MODE)
        sys.publish(path,"CHANGE_HUMI",string.format("%.1f",HUMI).."%")
        sys.publish(path,"CHANGE_SWITCH",SWITCH)
        i=i+1
        MODE=(i%2==0) and "时间" or "湿度"
        SWITCH=(i%2==0)
        HUMI=((HUMI>=100) and 100 or i/6)
        sys.wait(1000)
    end
end


sys.taskInit(runningTest,"一支路",101)
sys.taskInit(runningTest,"二支路",130)
sys.taskInit(runningTest,"三支路",191)
sys.taskInit(runningTest,"四支路",98)
sys.taskInit(runningTest,"五支路",141)
sys.taskInit(runningTest,"六支路",122)


function systemTest()
    local moto={"正常","#DC143C 过载","短路"}
    local pressure={"正常","#DC143C 过压","欠压"}
    local water={"合格","良好","优质"}
    local filter={"#DC143C 更换","正常","良好"}
    local oil={"量少","正常","#DC143C 量多"}
    i=0
    j=0
    while true do
        sys.publish("SYSTEM_RUNNING",string.format("运行:%dH",100+i))
        sys.publish("SYSTEM_MOTO",string.format("电机:%s",moto[j+1]))
        sys.publish("SYSTEM_PRESSURE",string.format("压力:%s",pressure[j+1]))
        sys.publish("SYSTEM_WATER",string.format("水质:%s",water[j+1]))
        sys.publish("SYSTEM_FILTER",string.format("滤芯:%s",filter[j+1]))
        sys.publish("SYSTEM_OIL",string.format("泵油:%s",oil[j+1]))
        i=i+1
        i=i%100
        j=j+1
        j=j%3
        sys.wait(1000)
    end
end

sys.taskInit(systemTest)