module(..., package.seeall)
---------------------------
require "runningStatus"
require "fragment_RunStatus"

function makeRunningBox(cont)

    local runningCont=lvgl.cont_create(cont, nil)
    lvgl.obj_set_click(runningCont,false)
    lvgl.obj_set_size(runningCont, 814, 400) 
    lvgl.obj_add_style(runningCont, lvgl.CONT_PART_MAIN, style.style_contentBox)
    lvgl.obj_align(runningCont, cont, lvgl.ALIGN_IN_TOP_RIGHT, -20, 0)

    runningBox=lvgl.cont_create(runningCont, nil)
    lvgl.obj_set_size(runningBox, 794, 380)
    lvgl.obj_add_style(runningBox, lvgl.CONT_PART_MAIN, style.style_msgBg)
    lvgl.obj_align(runningBox, runningCont, lvgl.ALIGN_CENTER, 0, 0)
    
    return runningBox
end

function init()
    local runningBox=makeRunningBox(_G.BOX)
    fragment_RunStatus.init(runningBox)
end